import java.awt.*;

/**
 * MyCanvas: an example subclass of Canvas.
 * 
 * @author Stephen Bloch
 * @version 19, Feb 15 2005
 * @since version 19
 */
public class MyCanvas extends Canvas
{
    /**
     * Constructor for objects of class MyCanvas
     */
    public MyCanvas()
    {
        this.setSize (200, 300); // default is (0,0), i.e. invisible
    }

    /**
     * @see java.awt.Canvas.paint()
     */
    public void paint (Graphics g) {
        // In Java 1.2 and above, the Graphics object is really a Graphics2D object,
        // which allows you to do more cool stuff.  So we'll convert it.
        Graphics2D g2 = (Graphics2D)g;
        
        g2.draw (new Rectangle (20, 10, 30, 20));
        
        g2.setPaint (Color.blue);
        g2.drawString ("hello", 5, 15);
        
        int[] xpoints = { 50, 100, 100, 70, 62 };
        int[] ypoints = { 100, 70, 145, 140, 70 };
        Polygon shape = new Polygon (xpoints, ypoints, 5);
        
        g2.setPaint (Color.magenta);
        g2.fill (shape);
    }

}